Package org.eclipse.m2m.atl.profiler.model

## Interface Context

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `ContextImpl`

    public interface Context
    extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Context'.

The following features are supported:

- `Content`

See Also:
  `ModelPackage.getContext()`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getContent()` Returns the value of the 'Content' attribute.
`void` `setContent​(java.lang.String value)` Sets the value of the '`Content`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getContent

    java.lang.String getContent()

Returns the value of the 'Content' attribute.

If the meaning of the 'Content' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Content' attribute.
See Also:
  `setContent(String)`, `ModelPackage.getContext_Content()`

#### setContent

    void setContent​(java.lang.String value)

Sets the value of the '`Content`' attribute.

Parameters:
  `value` - the new value of the 'Content' attribute.
See Also:
  `getContent()`